Bug 1890534 - Counter metrics are decreasing which should not be allowed
Summary: Counter metrics are decreasing which should not be allowed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.5.z
Assignee: Stephen Greene
QA Contact: Arvind iyengar
URL:
Whiteboard:
Depends On: 1752814
Blocks: 1890536
TreeView+ depends on / blocked
 
Reported: 2020-10-22 13:31 UTC by OpenShift BugZilla Robot
Modified: 2020-11-05 12:47 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: HAProxy is reloaded when the router changes the configuration file Consequence: Some counter prometheus metrics were decreasing across reloads which explicitly violates the definition of a counter metric. Fix: Have the router reload metrics code note the time of the last metrics scrape, to avoid scraping beyond the preserved counter values during a reload Result: Counter metrics do not see a sudden increase followed by a decrease when the router is reloading.
Clone Of:
Environment:
Last Closed: 2020-11-05 12:47:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift router pull 205 0 None closed [release-4.5] Bug 1890534: Fix decreasing counter metrics when reloading HAProxy 2020-11-02 16:43:16 UTC
Red Hat Product Errata RHBA-2020:4325 0 None None None 2020-11-05 12:47:46 UTC

Comment 3 Arvind iyengar 2020-10-27 05:14:09 UTC
Verified in "4.5.0-0.nightly-2020-10-22-231534" release version. With this payload, it is noted that the metric counters continue to increase or resets to zero during reload conditions but no decrements.

Comment 5 errata-xmlrpc 2020-11-05 12:47:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.17 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4325


Note You need to log in before you can comment on or make changes to this bug.